//////////////////////////////////////////////
///////      EXCEJUMPS BY XANDAXS      ///////
//////////////////////////////////////////////
//                //
//    INDEX:      //
//  > Skybox      //
//  > Water       //
//  > Glass       //
//  > Decals      //
//  > Lights      //
//  > Floor       //
//  > Wall        //
//  > Metal       //
//  > Crates      //
//  > Banner      //
//  > Portraits   //
//                //
//////////////////// 


// * SKYBOX * //

textures/excejumps/spacesky
{
   	qer_editorimage textures/excejumps/skybox/space_sky_up.tga
	q3map_lightimage textures/excejumps/skybox/lightimage.tga
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_skylight 350 4
	surfaceparm sky
	q3map_sunEXT 0.941 0.984 1.00 1000 340 55 1 16
	skyparms textures/excejumps/skybox/space_sky - -
}


// * WATER * //

textures/excejumps/bluewater
    {
        qer_editorimage textures/excejumps/water/pool3d_5.tga
        qer_trans .5
		q3map_fancywater .4 1 1 1
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap
        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    
        { 
            map textures/excejumps/water/pool3d_5.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }
        { 
            map textures/excejumps/water/pool3d_6.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }
        { 
            map textures/excejumps/water/pool3d_3.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }
		{ 
            map textures/excejumps/water/water3.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }
		{ 
            map textures/excejumps/water/water1.tga
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }
        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }
}

textures/excejumps/fall1
{
	qer_editorimage textures/excejumps/water/fall.tga	
	surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 3 0 .7
	cull none
	sort 10
	{
		map textures/excejumps/water/fall.tga
		tcMod Scroll 0 -2.5
		alphagen const 0.9
		blendFunc blend
		rgbgen identity
    }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/excejumps/fall2
{
	qer_editorimage textures/excejumps/water/fall2.tga	
	surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 3 0 .7
	cull none
	sort 10
	{
		map textures/excejumps/water/fall2.tga
		tcMod Scroll 0 -1.7
		alphagen const 0.9
		blendFunc blend
		rgbgen identity
    }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/excejumps/fall3
{
	qer_editorimage textures/excejumps/water/fall3.tga	
	surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 3 0 .7
	cull none
	sort 10
	{
		map textures/excejumps/water/fall3.tga
		tcMod Scroll 0 -2.1
		alphagen const 0.9
		blendFunc blend
		rgbgen identity
    }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/excejumps/fall4
{
	qer_editorimage textures/excejumps/water/fall4.tga	
	surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 3 0 .7
	cull none
	sort 10
	{
		map textures/excejumps/water/fall4.tga
		tcMod Scroll 0 -3.5
		alphagen const 0.9
		blendFunc blend
		rgbgen identity
    }
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


// * GLASS * //

textures/excejumps/excejumps
{
    qer_editorimage textures/excejumps/sfx/excejumps.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull none
        {
                map textures/excejumps/sfx/excejumps.tga
                alphafunc GT0
                blendfunc gl_zero gl_one
                depthwrite
        }
        {
                map textures/excejumps/glass/exceglass.tga
                blendfunc add
				alphagen const 0.9
                tcgen environment
                depthfunc equal
        }
}

textures/excejumps/blueglass
{
	qer_editorimage textures/excejumps/glass/glass4.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	cull disable
	{
		map textures/excejumps/glass/glass4.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/excejumps/blackglass
{
    qer_editorimage textures/excejumps/glass/glass1.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull none
	{
		map textures/excejumps/glass/glass1.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		alphagen const 0.4
		rgbgen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/excejumps/blackglass_dark
{
    qer_editorimage textures/excejumps/glass/glass1.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull none
	{
		map textures/excejumps/glass/glass1.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		alphagen const 0.9
		rgbgen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/excejumps/bluestripedglass
{
	qer_editorimage textures/excejumps/glass/glass2.tga  
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_trans 0.7
			 {
			map textures/excejumps/glass/glass2.tga       
	        rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			blendfunc GL_ONE GL_ONE
	         }
}

textures/excejumps/transglass
{
  qer_editorimage textures/excejumps/glass/glass3.tga
  qer_trans 0.7
  surfaceparm trans
  surfaceparm nodamage
  cull none
  {
    map textures/excejumps/glass/glass3.tga
	tcGen environment
    blendFunc gl_src_alpha gl_one
	alphagen const 0.2
  }
  {
		map $lightmap
		rgbGen identity
		blendFunc filter
  }
}

textures/excejumps/transglasswhite
{
  qer_editorimage textures/excejumps/glass/glass3.tga
  qer_trans 0.7
  surfaceparm trans
  surfaceparm nodamage
  cull none
  {
    map textures/excejumps/glass/glass3.tga
	tcGen environment
    blendFunc gl_src_alpha gl_one
    alphagen const 0.9
  }
  {
		map $lightmap
		rgbGen identity
		blendFunc filter
  }
}


// * DECAL * //

textures/excejumps/cmm
{
    qer_editorimage textures/excejumps/decal/cmm.tga
    polygonOffset
    nomipmaps
    nopicmip
    surfaceparm trans
    {
       map textures/excejumps/decal/cmm.tga
       blendfunc gl_dst_color gl_src_color
    }
}

textures/excejumps/warningdecal
{
	qer_editorimage	textures/excejumps/decal/warning.tga
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
   {
    map textures/excejumps/decal/warning.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthfunc equal
  }
}

textures/excejumps/end
{
	qer_editorimage	textures/excejumps/decal/theend.tga
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
   {
    map textures/excejumps/decal/theend.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthfunc equal
  }
}

textures/excejumps/watchyourhead
{
	qer_editorimage	textures/excejumps/decal/wyh.tga
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
	nopicmip
	nomipmaps
   {
    map textures/excejumps/decal/wyh.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthfunc equal
  }
}


// * LIGHT * //

textures/excejumps/whitelight
{
    qer_editorimage textures/excejumps/light/light1.tga
    surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/excejumps/light/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/excejumps/light/light1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/excejumps/shinywhite
{
    qer_editorimage textures/excejumps/sfx/white.tga
    surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/excejumps/sfx/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/excejumps/sfx/white.tga
		blendfunc GL_ONE GL_ONE
	}
}


// * FLOOR * //

textures/excejumps/darkmetalfloor
{
    qer_editorimage textures/excejumps/floor/floor1.tga
    surfaceparm nodamage
    {
        map textures/excejumps/floor/floor1.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/darkconcrete
{
    qer_editorimage textures/excejumps/floor/concrete2dark.tga
    surfaceparm nodamage
    {
        map textures/excejumps/floor/concrete2dark.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/greyconcrete
{
    qer_editorimage textures/excejumps/floor/concrete2.tga
    surfaceparm nodamage
    {
        map textures/excejumps/floor/concrete2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/greyconcrete_light
{
    qer_editorimage textures/excejumps/floor/concrete2light.tga
    surfaceparm nodamage
    {
        map textures/excejumps/floor/concrete2light.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}


// * WALL * //

textures/excejumps/greywall
{
    qer_editorimage textures/excejumps/wall/wall1.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/greylightwall
{
    qer_editorimage textures/excejumps/wall/wall1light.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1light.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/greylighterwall
{
    qer_editorimage textures/excejumps/wall/wall1lighter.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1lighter.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/greydarkwall
{
    qer_editorimage textures/excejumps/wall/wall1dark.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1dark.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/bluewall
{
    qer_editorimage textures/excejumps/wall/wall1blue.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1blue.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/bluedeadwall
{
    qer_editorimage textures/excejumps/wall/wall1deadblue.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1deadblue.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/bluedeadwall_nonsolid
{
    qer_editorimage textures/excejumps/wall/wall1deadblue.tga
    surfaceparm nodamage
	surfaceparm nonsolid
    {
        map textures/excejumps/wall/wall1deadblue.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/pinkwall
{
    qer_editorimage textures/excejumps/wall/wall1pink.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1pink.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/orangewall
{
    qer_editorimage textures/excejumps/wall/wall1orange.tga
    surfaceparm nodamage
    {
        map textures/excejumps/wall/wall1orange.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}


// * METAL * //

textures/excejumps/metal
{   
	qer_editorimage textures/excejumps/metal//metal1.tga
	surfaceparm nodamage
	{
	map textures/excejumps/metal/metal1.tga
	rgbGen identity
	} 
    {
	map $lightmap
    blendFunc filter
	rgbGen identity
	}
}

textures/excejumps/metal_slick
{   
	qer_editorimage textures/excejumps/metal//metal1.tga
	surfaceparm nodamage
	surfaceparm slick
	{
	map textures/excejumps/metal/metal1.tga
	rgbGen identity
	} 
    {
	map $lightmap
    blendFunc filter
	rgbGen identity
	}
}

textures/excejumps/metal_shiny
{   
	qer_editorimage textures/excejumps/metal/metal1.tga
	surfaceparm nodamage
	{
	map textures/excejumps/metal/metal1.tga
	rgbGen identity
	} 
    {
	map textures/excejumps/sfx/tinfx3.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
    }
    {
	map $lightmap
    blendFunc filter
	rgbGen identity
	}
}

textures/excejumps/metalgrid
{
    qer_editorimage textures/excejumps/metal/grid1.tga
	surfaceparm nodamage
	surfaceparm trans
	cull none
	{
		map textures/excejumps/metal/grid1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/excejumps/metalgrid_slick
{
    qer_editorimage textures/excejumps/metal/grid1.tga
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans	
	cull none
	{
		map textures/excejumps/metal/grid1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/excejumps/metalbars
{
    qer_editorimage textures/excejumps/metal/bars.tga
	surfaceparm nodamage
	surfaceparm trans
	cull none
	{
		map textures/excejumps/metal/bars.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}


// * CRATES * //

textures/excejumps/crate_cmm
{
    qer_editorimage textures/excejumps/crates/crate_cmm.tga
    surfaceparm nodamage
    {
        map textures/excejumps/crates/crate_cmm.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/crate_clean
{
    qer_editorimage textures/excejumps/crates/crate_clean.tga
    surfaceparm nodamage
    {
        map textures/excejumps/crates/crate_clean.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/crate_clean_nonsolid
{
    qer_editorimage textures/excejumps/crates/crate_clean.tga
    surfaceparm nodamage
	surfaceparm nonsolid
    {
        map textures/excejumps/crates/crate_clean.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}


// * BANNER * //

textures/excejumps/urtjumpers
{
	qer_editorimage textures/excejumps/banner/urtjumpers.jpg
	surfaceparm nodamage
	nomipmaps
	nopicmip
    {
        map textures/excejumps/banner/urtjumpers.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}


// * PORTRAITS * //

textures/excejumps/johns
{
	qer_editorimage textures/excejumps/portraits/johns.jpg
	surfaceparm nodamage
	nomipmaps
	nopicmip
    {
        map textures/excejumps/portraits/johns.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/renton
{
	qer_editorimage textures/excejumps/portraits/renton.jpg
	surfaceparm nodamage
	nomipmaps
	nopicmip
    {
        map textures/excejumps/portraits/renton.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/excejumps/xan
{
	qer_editorimage textures/excejumps/portraits/xan.jpg
	surfaceparm nodamage
	nomipmaps
	nopicmip
    {
        map textures/excejumps/portraits/xan.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}